Reset link settings
Removes all link overrides at the requested scope. The scope falls back to its parent's values.
Unlike other settings, there is no per-field reset — links are managed as a list, so reset always clears the entire list.
Header Parameters
Connect-Protocol-Version*Connect-Protocol-Version
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?Connect-Timeout-Ms
Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.settings.v2.SettingsService/ResetLinkSettings" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"changeDate": "2023-01-15T01:30:15.01Z",
"settings": {
"links": [
{
"type": "LINK_TYPE_UNSPECIFIED",
"url": "string",
"translationKey": "string",
"target": "LINK_TARGET_UNSPECIFIED"
}
]
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?